get
https://{subdomain}.kommo.com/api/v4/companies
The method allows you to get a list of companies
Limitations
The method is available in correspondence to the user rights.
“with” Parameters
| Parameter | Description |
|---|---|
| leads | Adds info on the leads linked to the company into the response |
| contacts | Adds info on the contacts linked to the company into the response |
| catalog_elements | Adds lists elements linked to the company into the response |
Data type header when the request is successful
Content-Type: application/hal+json
Data type header in case of an error
Content-Type: application/problem+json
Response parameters
The properties of a company object are listed below.
| Parameter | Data type | Description |
|---|---|---|
| id | int | Company ID |
| name | string | Company name |
| responsible_user_id | int | Company responsible user ID |
| group_id | int | Group ID of the company responsible user |
| created_by | int | The ID of the user who created the company |
| updated_by | int | The ID of the user who updated the company last |
| created_at | int | Company creation date in the format of Unix Timestamp |
| updated_at | int | Company update date in the format of Unix Timestamp |
| closest_task_at | int | Date of the closest open task in the format of Unix Timestamp |
| custom_fields_values | array|null | An array of the current company custom fields’ values |
| account_id | int | Account ID where the company is located in |
| _embedded | object | Embedded entities data |
| _embedded[tags] | array | Company tags data array |
| _embedded[tags][0] | object | Company tag model |
| _embedded[tags][0][id] | int | Tag ID |
| _embedded[tags][0][name] | string | Tag name |
| _embedded[tags][0][color] | string/null | Tag color |
| _embedded[contacts] | array | GET parameter “with” is required. Linked contacts data array |
| _embedded[contacts][0] | object | Linked contact data |
| _embedded[contacts][0][id] | int | Linked contact ID |
| _embedded[leads] | array | GET parameter “with” is required. Linked leads data array |
| _embedded[leads][0] | object | Linked lead data |
| _embedded[leads][0][id] | int | Linked lead ID |
| _embedded[catalog_elements][catalog_elements] | array | GET parameter “with” is required. Linked lists’ elements data array |
| _embedded[catalog_elements][0] | object | Linked list element data |
| _embedded[catalog_elements][0][id] | int | Linked element ID |
| _embedded[catalog_elements][0][metadata] | object | Meta-data of the element |
| _embedded[catalog_elements][0][quantity] | int | Linked elements quantity |
| _embedded[catalog_elements][0][catalog_id][catalog_id] | int | ID of the linked element’s list |
